Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class RootElement

    java.lang.Object
      org.gjt.sp.jedit.buffer.RootElement

All Implemented Interfaces:
  javax.swing.text.Element

public class RootElement
extends java.lang.Object
implements javax.swing.text.Element

A class internal to jEdit's document model. You should not use it directly.

Since:
  jEdit 4.0pre1
Version:
  $Id: RootElement.java,v 1.1 2001/10/20 09:32:23 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`RootElement(Buffer buffer)`

Method Summary
`javax.swing.text.AttributeSet` | `getAttributes()`
`javax.swing.text.Document` | `getDocument()`
`javax.swing.text.Element` | `getElement(int line)`
`int` | `getElementCount()`
`int` | `getElementIndex(int offset)`
`int` | `getEndOffset()`
`java.lang.String` | `getName()`
`javax.swing.text.Element` | `getParentElement()`
`int` | `getStartOffset()`
`boolean` | `isLeaf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootElement

    public RootElement(Buffer buffer)

Method Detail

### getDocument

    public javax.swing.text.Document getDocument()

  Specified by:
    `getDocument` in interface `javax.swing.text.Element`

### getParentElement

    public javax.swing.text.Element getParentElement()

  Specified by:
    `getParentElement` in interface `javax.swing.text.Element`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.swing.text.Element`

### getAttributes

    public javax.swing.text.AttributeSet getAttributes()

  Specified by:
    `getAttributes` in interface `javax.swing.text.Element`

### getStartOffset

    public int getStartOffset()

  Specified by:
    `getStartOffset` in interface `javax.swing.text.Element`

### getEndOffset

    public int getEndOffset()

  Specified by:
    `getEndOffset` in interface `javax.swing.text.Element`

### getElementIndex

    public int getElementIndex(int offset)

  Specified by:
    `getElementIndex` in interface `javax.swing.text.Element`

### getElementCount

    public int getElementCount()

  Specified by:
    `getElementCount` in interface `javax.swing.text.Element`

### getElement

    public javax.swing.text.Element getElement(int line)

  Specified by:
    `getElement` in interface `javax.swing.text.Element`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.text.Element`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD